hpp-fcl: hpp::fcl::BVFitter< BV > Class Template Reference

hpp-fcl 1.7.5 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Protected Attributes | List of all members
hpp::fcl::BVFitter< BV > Class Template Reference
Construction of BVHModel

The class for the default algorithm fitting a bounding volume to a set of points. More...

`#include <hpp/fcl/internal/BV_fitter.h>`

Inheritance diagram for hpp::fcl::BVFitter< BV >:

## Public Member Functions
BV | fit (unsigned int *primitive_indices, int num_primitives)
| Compute a bounding volume that fits a set of primitives (points or triangles). The primitive data was set by set function and primitive_indices is the primitive index relative to the data. More...
Public Member Functions inherited from hpp::fcl::BVFitterTpl< BV >
virtual | ~BVFitterTpl ()
| default deconstructor More...
void | set (Vec3f *vertices_, Triangle *tri_indices_, BVHModelType type_)
| Prepare the geometry primitive data for fitting. More...
void | set (Vec3f *vertices_, Vec3f *prev_vertices_, Triangle *tri_indices_, BVHModelType type_)
| Prepare the geometry primitive data for fitting, for deformable mesh. More...
void | clear ()
| Clear the geometry primitive data. More...

## Protected Attributes
Vec3f * | vertices
Vec3f * | prev_vertices
Triangle * | tri_indices
BVHModelType | type
Protected Attributes inherited from hpp::fcl::BVFitterTpl< BV >
Vec3f * | vertices
Vec3f * | prev_vertices
Triangle * | tri_indices
BVHModelType | type

## Detailed Description

### template<typename BV>
class hpp::fcl::BVFitter< BV >

The class for the default algorithm fitting a bounding volume to a set of points.

## Member Function Documentation

## ◆ fit()

template<typename BV >

BV hpp::fcl::BVFitter< BV >::fit | ( | unsigned int * | primitive_indices,
|  | int | num_primitives
| ) |  |
| inlinevirtual

Compute a bounding volume that fits a set of primitives (points or triangles). The primitive data was set by set function and primitive_indices is the primitive index relative to the data.

The primitive is triangle

can fitting both current and previous frame

The primitive is point

can fitting both current and previous frame

Implements hpp::fcl::BVFitterTpl< BV >.

## Member Data Documentation

## ◆ prev_vertices

template<typename BV >

Vec3f* hpp::fcl::BVFitterTpl< BV >::prev_vertices
| protected

## ◆ tri_indices

template<typename BV >

Triangle* hpp::fcl::BVFitterTpl< BV >::tri_indices
| protected

## ◆ type

template<typename BV >

BVHModelType hpp::fcl::BVFitterTpl< BV >::type
| protected

## ◆ vertices

template<typename BV >

Vec3f* hpp::fcl::BVFitterTpl< BV >::vertices
| protected

The documentation for this class was generated from the following files:

- include/hpp/fcl/BVH/BVH_model.h
- include/hpp/fcl/internal/BV_fitter.h